<?php echo '<?' ?>xml version="1.0" encoding="iso-8859-15" <?php echo '?>' ?>
<!DOCTYPE html
		PUBLIC "-//W3C//DTD XHTML 1.1//EN"
		"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<?php
$product_file = '/usr/share/pf-common/PRODUCT';
if (file_exists($product_file))
	$product = trim(file_get_contents($product_file));
else
	$product = ""
?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr">
	<head>
		<title><?php echo($product) ?>Statistiques</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-15" />
	</head>
	<body>
		<table style="border-spacing: 15px;">
			<tr>
				<td><img src="logo.png" alt="<?php echo($product) ?> Logo" /></td>
				<td style="vertical-align: middle;"><h1 style="display: inline;"><?php echo($product) ?>Statistiques</h1></td>
			</tr>
		</table>
		<div style="margin: 30px;">Outils de statistiques installés :
		  <ul>
<?php
$apache_enabled_sites = '/etc/apache2/pf-sites/pf-stats';
$stat_sites = array(
	"Informations Système" => array('site' => 'pf-stats-munin', 'extra_path' => '/localdomain/' . $product . '.localdomain.html'),
	"Monitoring des Services" => array('site' => 'pf-monitoring-monit'),
	"Statistiques d'Appels Téléphonie" => array('site' => 'pf-asternic-stats')
);

# first Alias or ProxyPass directive gives the web path
$info_regex = "/^[ \t]*(?:Alias|ProxyPass)[ \t]+([^ ]+)[ \t]+[^ ]+$/i";
foreach ($stat_sites as $title => $site_info)
{
	$site_file = $apache_enabled_sites . "/" . $site_info['site'];
	if (file_exists($site_file))
	{
		$lines = file($site_file);
		foreach ($lines as $l)
		{
			$matches = array();
			if (preg_match($info_regex, $l, $matches))
			{
				$path = $matches[1];
				if (isset($site_info['extra_path']))
					$path .= $site_info['extra_path'];
				echo '<li><a href="', $path, '">', $title, '</a></li>';
				break;
			}
		}
	}
}

?>
		  </ul>
		</div>
	</body>
</html>
